#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 2

Name: rocs
Summary: Graph Editor and a Programming Environement
Version: 4.11.4
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/education/rocs/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: boost-devel
BuildRequires: grantlee-devel

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files
%doc AUTHORS COPYING COPYING.LIB.LGPL-2 COPYING.LIB.LGPL-2.1 COPYING.DOC README
%doc %_kde_docdir/HTML/en/rocs
%_kde_bindir/rocs
%_kde_datadir/applications/kde4/rocs.desktop
%_kde_datadir/config.kcfg/rocs.kcfg
%_kde_datadir/config/rocs.knsrc
%_kde_libdir/kde4/rocs_dotfileformat.so
%_kde_libdir/kde4/rocs_gmlfileformat.so
%_kde_libdir/kde4/rocs_kmlfileformat.so
%_kde_libdir/kde4/rocs_tgffileformat.so
%_kde_libdir/kde4/rocs_tikzfileformat.so
%_kde_libdir/kde4/rocs_GraphStructure.so
%_kde_libdir/kde4/rocs_ListStructure.so
%_kde_libdir/kde4/rocs_RootedTreeStructure.so
%_kde_libdir/kde4/rocs_assignvaluesplugin.so
%_kde_libdir/kde4/rocs_generategraphplugin.so
%_kde_libdir/kde4/rocs_transformedgesplugin.so
%_kde_appsdir/rocs
%_kde_appsdir/rocs_rootedtree
%_kde_services/rocs_dotfileformatplugin.desktop
%_kde_services/rocs_gmlfileformatplugin.desktop
%_kde_services/rocs_kmlfileformatplugin.desktop
%_kde_services/rocs_tgffileformatplugin.desktop
%_kde_services/rocs_tikzfileformatplugin.desktop
%_kde_services/rocs_GraphStructure.desktop
%_kde_services/rocs_ListStructure.desktop
%_kde_services/rocs_RootedTreeStructure.desktop
%_kde_services/rocs_assignvaluesplugin.desktop
%_kde_services/rocs_generategraphplugin.desktop
%_kde_services/rocs_transformedgesplugin.desktop
%_kde_servicetypes/RocsDataStructurePlugin.desktop
%_kde_servicetypes/RocsGraphFilePlugin.desktop
%_kde_servicetypes/RocsToolsPlugin.desktop
%_kde_iconsdir/hicolor/*/apps/rocs.png
%_kde_iconsdir/hicolor/scalable/apps/rocs.svgz
#------------------------------------------------------------------------------

%define rocsvisualeditor_major 4
%define librocsvisualeditor %mklibname rocsvisualeditor %{rocsvisualeditor_major}

%package -n %librocsvisualeditor
Summary: Runtime library for Rocs
Group: System/Libraries

%description -n %librocsvisualeditor
Runtime library for Rocs

%files -n %librocsvisualeditor
%_kde_libdir/librocsvisualeditor.so.%{rocsvisualeditor_major}*

#------------------------------------------------------------------------------

%define rocscore_major 4
%define librocscore %mklibname rocscore %{rocscore_major}

%package -n %librocscore
Summary: Runtime library for Rocs
Group: System/Libraries

%description -n %librocscore
Runtime library for Rocs

%files -n %librocscore
%_kde_libdir/librocscore.so.%{rocscore_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %librocscore = %version
Requires: %librocsvisualeditor = %version
Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/rocs
%_kde_libdir/librocsvisualeditor.so
%_kde_libdir/librocscore.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Tue Dec 17 2013 neoclust <neoclust> 4.11.4-2.mga4
+ Revision: 558287
- Rebuild against new grantlee

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555082
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551353
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540098
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490729
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476822
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465173
- Update tarball to KDE SC 4.11.0
- Fix files list

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 459000
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455385
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447931
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Add grantlee-devel as BR
- Disable KDE4_ENABLE_FINAL (does not build currently when enabled)

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435294
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428399
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407217
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401955
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394388
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Mon Jan 14 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 380384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339466
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334549
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326751
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320308
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316188
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301959
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289760
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277092
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269727
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266098
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257244
- new version 4.8.4

* Wed May 30 2012 fwang <fwang> 4.8.2-2.mga3
+ Revision: 250133
- rebuild for new boost

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228456
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221513
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198286
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190993
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186150
- Update tarball to KDE SC 4.7.95
- Fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182229
- Update tarball to KDE SC 4.7.90
- Fix url
- use gold as linker

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176579
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161435
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151993
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140683
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122521
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115734
- add conflicts on older pacakge for easier upgrading

  + mikala <mikala>
    - imported package rocs

